routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    if (Auth::check()) return redirect(route('home'));
    else return view('Auth/login');
});

Route::group(['middleware' => ['auth']], function (){
    Route::get('/user/profile', 'UserController@edit')->name('user_profile');
    Route::patch('/user/profile', 'UserController@update')->name('user_profile_edit');
    Route::get('users', 'UserController@index')->name('users');
    Route::get('users/{id}/profile', 'UserController@show')->name('user_info');
    Route::get('search', 'UserController@autocomplete');

    Route::resource('post', 'PostController');
    Route::get('/home', 'PostController@allPosts')->name('home');
    Route::get('/user/{id}/posts', 'PostController@userFriendPosts')->name('userFriendPosts');
    Route::resource('like', 'LikeController');
    Route::resource('comment', 'CommentController');
    Route::resource('follow', 'FollowController');

});

Auth::routes();

resources/views/layouts/app.blade.php
<!DOCTYPE html>
<html lang="{{ app()->getLocale() }}">
    @include('layouts.header')
    <main role="main">
        <section class="jumbotron text-center">
            <div class="container">
              <h1 class="jumbotron-heading"></h1>
              <p class="lead text-muted">قم بمشاركة جميع صورك وفيديوهاتك أنت وأصدقائك من خلال شبكة انستغرام حسوب</p>
              <p style="direction: rtl;">
                <a href="{{ route('home') }}" class="btn btn-{{isset($active_home) ? $active_home : 'secondary'}} my-2">الرئيسية</a>
                <a href="{{ route('follow.index') }}" class="btn btn-{{isset($active_followers) ? $active_followers : 'secondary'}} my-2">المتابعين</a>
                <a href="{{ route('users') }}" class="btn btn-{{isset($active_users) ? $active_users : 'secondary'}} my-2">المستخدمين</a>
                <a href="{{ route('post.index') }}" class="btn btn-{{isset($active_profile) ? $active_profile : 'secondary'}} my-2">الملف الشخصي</a>
              </p>
            </div>
        </section>
        @yield('content')
    </main>
    @include('layouts.footer')
</html>

resources/views/layouts/footer.blade.php
<footer class="text-muted">
  <div class="container" style="text-align:  right;direction:  rtl;">
    <p class="float-left">
      <a href="#">العودة إلى الأعلى</a>
    </p>
    <p>هذا القالب و المسار التعليمي &copy; لأكاديمية حسوب!</p>
    <p>نعمل لنمكّن الشباب ونفتح مزيدًا من الفرص أمامهم <a href="https://academy.hsoub.com/">زر موقع الأكاديمية </a> واطلع على المسارات التعليمية فيها <a href="../../getting-started/"> </a>.</p>
  </div>
</footer>

<!-- Bootstrap core JavaScript
================================================== -->
<!-- Placed at the end of the document so the pages load faster -->
<script src="{{ asset('assets/js/vendor/jquery-slim.min.js') }}"></script>
<script>window.jQuery || document.write('<script src="{{ asset('assets/js/vendor/jquery-slim.min.js') }}"><\/script>')</script>
<script src="{{ asset('assets/js/vendor/popper.min.js') }}"></script>
<script src="{{ asset('dist/js/bootstrap.min.js') }}"></script>
<script src="{{ asset('assets/js/vendor/holder.min.js') }}"></script>

  <!-- Import typeahead.js -->
	<!-- <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.2.1/jquery.js"></script> -->
	<script src="{{ asset('assets/js/jquery-3.3.1.min.js') }}"></script>
	<!-- <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js"></script> -->

    <!-- Import typeahead.js -->
	<script src="{{ asset('assets/js/typeahead.bundle.js') }}"></script>


<script type="text/javascript">
	$(document).ready(function() {
    		var bloodhound = new Bloodhound({
				datumTokenizer: Bloodhound.tokenizers.whitespace,
				queryTokenizer: Bloodhound.tokenizers.whitespace,
				remote: {
					url: '{{url("search")}}?searchname=%QUERY%',//'/user/find?q=%QUERY%',
					wildcard: '%QUERY%'
				},
			});

			$('#search').typeahead({
				hint: true,
				highlight: true,
				minLength: 1
			}, {
				name: 'users',
                lime: 10,
				source: bloodhound,
				display: function(data) {
					return data.name  //Input value to be set when you select a suggestion.
				},
				templates: {
					empty: [
						'<div class="list-group search-results-dropdown"><div class="list-group-item" style="direction: rtl; text-align: right; ">لا يوجد نتائج بحث مطابقة</div></div>'
					],
					header: [
						'<div class="list-group search-results-dropdown">'
					],
					suggestion: function(data) {
					return '<div style="font-weight:normal;direction: rtl; text-align: right; width:100%" class="list-group-item"> <a href="{{url('user_info')}}/'+data.id+'"> <img src="{{asset('images/avatar')}}/'+data.avatar+'" style=" margin-left: 2%; " width="35px" height="35px"/>' + data.first_name+' '+data.last_name + '</a></div></div>'
					}
				}
			});
        });
</script>
</body>

resources/views/layouts/header.blade.php
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <meta name="description" content="">
  <meta name="author" content="">
  <link rel="icon" href="{{ asset('assets/img/favicons/favicon.ico') }}">

  <title>انستغرام حسوب</title>
  <title>{{ config('app.name', 'Laravel') }}</title>
  <meta name="csrf-token" content="{{ csrf_token() }}">

  <!-- Bootstrap core CSS -->
  <link href="{{ asset('dist/css/bootstrap.min.css') }}" rel="stylesheet">
  <link href="{{ asset('dist/fonts/fonts.css') }}" rel="stylesheet">
  <link href="https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css" rel="stylesheet">
  <!-- Custom styles for this template -->
  <link href="{{ asset('assets/css/album.css') }}" rel="stylesheet">
  <style type="text/css">
    .twitter-typeahead { width: 100%; } 
    .twitter-typeahead, .tt-hint, .tt-input, .tt-menu { width: 100%; }
  </style>
</head>

<body>
  <header style="position:  fixed;z-index:  10000;width:  100%;">
    <div class="navbar navbar-dark bg-dark box-shadow">
      <div class="container d-flex justify-content-between" style="direction:  rtl;">
        <div class="row" style="width: 100%">
          <div class="col-md-2">
            <a href="#" class="">
              <img src="{{ asset('assets/img/Hsoub-white.png') }}" style="width: 73%;float:  right;">
            </a>
          </div>
          <div class="col-md-8">
            <input class="form-control" id="search" style="direction: rtl;width: 100%" type="text" placeholder="البحث" aria-label="Search" autocomplete="off">
          </div>
          <div class="col-md-2">
            <button class="navbar-toggler" type="button" onclick="location.href='{{url('user/profile')}}';" >
              <i class="fa fa-user"></i>
            </button>
    <!--         <button class="navbar-toggler" type="button" >
              <i class="fa fa-heart"></i>
            </button> -->
            <button class="navbar-toggler" type="button" onclick="location.href='{{url('post/create')}}';" >
              <i class="fa fa-plus"></i>
            </button>
            <a class="navbar-toggler" href="{{ route('logout') }}"
                onclick="event.preventDefault();
                         document.getElementById('logout-form').submit();">
                <i class="fa fa-sign-out"></i>
            </a>

            <form id="logout-form" action="{{ route('logout') }}" method="POST" style="display: none;">
                {{ csrf_field() }}
            </form>
          </div>  
        </div>  
      </div>
    </div>
  </header>